from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "assets.zip",down_path)
download_zip(xz_url + "addon_utils.zip",down_path)
download_zip(xz_url + "operators.zip",down_path)
download_zip(xz_url + "tool.zip",down_path)
download_zip(xz_url + "utils.zip",down_path)


bl_info = {
  "name": "UV Flow",
  "author": "Orange Turbine, Juan Fran Matheu, Jonathan Lampel",
  "version": (0, 9, 12),
  "blender": (3, 6, 5),
  "location": "3D View > Mesh Edit Mode > Toolbar",
  "description": "Tools for unwrapping meshes at warp speed",
  "warning": "Beta",
  "wiki_url": "",
  "category": "3D View",
}

import bpy

if bpy.app.background:
  # Fix #25. Skip registering if Blender is in background.
  def register():
    pass
  def unregister():
    pass
else:
  from .addon_utils import init_modules 
  init_modules()

  def register():
      from .addon_utils import register_modules
      register_modules()

  def unregister():
      from .addon_utils import unregister_modules
      unregister_modules()
