import bpy
from ..addon_utils import Register
from ..operators.op_unwrap import UVUnwrap
from ..operators.op_pack import UVPack
from ..operators.op_straighten_uv_island import SmartStraightenUVIsland
from ..ui.object_menu import VIEW3D_MT_object_uvflow

def register():
    Register.SHORTCUT.OPERATOR(
        '3D View',
        UVUnwrap,
        event_type='U',
        event_value='PRESS',
        modifiers={'SHIFT', 'ALT'},
        space_type='VIEW_3D',
        region_type='WINDOW'
    )

    Register.SHORTCUT.OPERATOR(
        '3D View',
        UVPack,
        event_type='P',
        event_value='PRESS',
        modifiers={'SHIFT', 'ALT'},
        space_type='VIEW_3D',
        region_type='WINDOW'
    )
    
    Register.SHORTCUT.OPERATOR(
        '3D View',
        SmartStraightenUVIsland,
        event_type='A',
        event_value='PRESS',
        modifiers={'SHIFT', 'ALT'},
        space_type='VIEW_3D',
        region_type='WINDOW'
    )
