import bpy
from ..addon_utils import Register
from bpy.types import UILayout, Context
from..operators.op_mark_seams import UVSeamsFromIslands
from..operators.op_uv_layers import UVDuplicateLayer

@Register.UI.APPEND(bpy.types.DATA_PT_uv_texture)
def draw_seams_from_islands_button(context: Context, layout: UILayout) -> None:
    col = layout.column(align=True)
    col.separator()
    UVDuplicateLayer.draw_in_layout(col)
    if context.mode == 'EDIT_MESH':
        col.separator()
        UVSeamsFromIslands.draw_in_layout(col)