from ..addon_utils import Register
from ..props.mesh import MeshProps
from ..prefs import UVFLOW_Preferences
from ..utils.mode import CM_ModeToggle
from ..tool.attributes import save_attributes, apply_attributes
from ..operators.op_geo_overlay import set_seam_props
from ..operators.op_checker import update_material_uvmap
from ..tool.tool_enter_exit import tool_check_on_mode_change
from ..addon_utils.debug import print_debug

from bpy.types import Context, MeshUVLoopLayer, UVLoopLayers, Mesh, Object


@Register.RNA_SUB(Object, 'mode', persistent=True)
def on_mode_change(context: Context, object: Object, mode: str):
    print_debug(f"RNA::on_mode_change -> {mode} ['{object.name}']")
    
    tool_check_on_mode_change(context, mode)
